import Foundation
import CommonCrypto

func hmac(hashName: String, message:Data, key:Data) -> Data? {
    let algos = ["SHA1":   (kCCHmacAlgSHA1,   CC_SHA1_DIGEST_LENGTH),
                 "MD5":    (kCCHmacAlgMD5,    CC_MD5_DIGEST_LENGTH),
                 "SHA224": (kCCHmacAlgSHA224, CC_SHA224_DIGEST_LENGTH),
                 "SHA256": (kCCHmacAlgSHA256, CC_SHA256_DIGEST_LENGTH),
                 "SHA384": (kCCHmacAlgSHA384, CC_SHA384_DIGEST_LENGTH),
                 "SHA512": (kCCHmacAlgSHA512, CC_SHA512_DIGEST_LENGTH)]
    guard let (hashAlgorithm, length) = algos[hashName]  else { return nil }
    var macData = Data(count: Int(length))
    
    macData.withUnsafeMutableBytes { (macBytes) in
        message.withUnsafeBytes { (messageBytes) in
            key.withUnsafeBytes { (keyBytes) in
                CCHmac(CCHmacAlgorithm(hashAlgorithm),
                       keyBytes,
                       key.count,
                       messageBytes,
                       message.count,
                       macBytes)
            }
        }
    }
    return macData
}


func hmacSha512(message: Data, key: Data) -> Data? {
    let messageData = message
    let keyData = key
    return hmac(hashName:"SHA512", message:messageData, key:keyData)
}
